Error ImplBundle: LND: failed to resolve

Document ID : KB000121340
Last Modified Date : 19/11/2018
Show Technical Document Details
Issue:
Errors appear in the jcs_daily.log file similar to the examples below:

2018-11-15 14:03:17,165 16569 [SpringOsgiExtenderThread-24] (com.ca.jcs.core:com.ca.jcs.ImplBundle:563) ERROR  - ImplBundle: LND: failed to resolve connectorClass='com.ca.jcs.lnd.LNDMetaConnector' due to missing connector .jar or non-bundled dependency of it (i.e. dependency requires manual customer installation): java.lang.ClassNotFoundException: com.ca.jcs.lnd.LNDMetaConnector
java.lang.ClassNotFoundException: com.ca.jcs.lnd.LNDMetaConnector

2018-11-15 14:03:18,468 17872 [SpringOsgiExtenderThread-32] (com.ca.jcs.core:com.ca.jcs.ImplBundle:563) ERROR  - ImplBundle: SAP: failed to resolve connectorTypeClass='com.ca.jcs.sap.SAPMetaConnectorType' due to missing connector .jar or non-bundled dependency of it (i.e. dependency requires manual customer installation): java.lang.ClassNotFoundException: com.ca.jcs.sap.SAPMetaConnectorType
Environment:
CA Identity Manager 12.x\14.x
Resolution:
These errors are benign and can be ignored.  SAP and LND related errors will appear as long as the connectors have not been specifically configured for these endpoint types.